#!/bin/csh

set EXE = ./frendy.exe
set INP_DIR = ./inp_frendy
set LIB_DIR = ./lib

set OUT_DIR = ./inp_njoy

mkdir -p ${OUT_DIR}

foreach CASE( N014  O016  U235  U238  HinH2O )
  echo ${CASE}

  set INP = ${INP_DIR}/inp_JENDL-4_${CASE}.n
  set LIB = ${LIB_DIR}/${CASE}.dat
  
  cp -p ${LIB} ./tape20
  if( ${CASE} == "HinH2O" ) then
    cp -p ${LIB_DIR}/H001.dat  ./tape20
    cp -p ${LIB}               ./tape23
  endif

  ${EXE}  ${INP}
 
  mv ${INP}.njoy_input.dat  ${OUT_DIR}/inp_JENDL-4_${CASE}.njoy
end

rm -rf ./tape*

