#!/bin/csh

set PWD      = `pwd`
set EXE      = ../../link_base/frendy_dir/frendy/main/frendy.exe

set ACE_DIR  = ../perturbation_ace_file
set INP_DIR  = ./inp
set OUT_DIR  = ./out
set ACE_NAME = 1001.710nc
set ACE_ORI  = ${ACE_DIR}/${ACE_NAME}

mkdir -p ${INP_DIR} ${OUT_DIR}

foreach CASE( 001  002  003  004  005  006  007  008  009  010 \
              011  012  013  014  015  016  017  018  019  020 \
              021  022  023  024  025  026  027  028  029  030 \
              031  032  033  034  035  036  037  038  039  040 \
              041  042  043  044  045  046  047  048  049  050 \
              051  052  053  054  055  056  057  058  059  060 \
              061  062  063  064  065  066  067  068  069  070 \
              071  072  073  074  075  076  077  078  079  080 \
              081  082  083  084  085  086  087  088  089  090 \
              091  092  093  094  095  096  097  098  099  100 )

  set INP      = ${INP_DIR}/${ACE_NAME}_0${CASE}.inp
  set ACE_MOD  = ${ACE_DIR}/output/0${CASE}/${ACE_NAME}_0${CASE}

  echo "plot_mode //processing mode"                  > ${INP}
  echo "ace_file_name   ( ${ACE_ORI}  ${ACE_MOD} )"  >> ${INP}
  echo "  //Ref  : ${ACE_ORI}"                       >> ${INP}
  echo "  //Comp : ${ACE_MOD}"                       >> ${INP}
  echo "output_name     ${OUT_DIR}/comp_result_${ACE_NAME}_0${CASE}"  >> ${INP}

  ${EXE}  ${INP} >  ${OUT_DIR}/${ACE_NAME}_0${CASE}.log
end

